﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ehmedemo
{
    class Flag
    {
        public bool Input2 { get; set; }
        public bool Input1 { get; set; }
        public bool AdError { get; set; }
        public bool WriteProtect { get; set; }
        public bool Overload { get; set; }
        public bool Tare { get; set; }
        public bool Stable { get; set; }
        public bool Zero { get; set; }
        public bool High { get; set; }
        public bool OK { get; set; }
        public bool Low { get; set; }
        public bool Lock { get; set; }

        public Flag(int flag)
        {
            Input2 = ((flag >> 13) & 0x01) != 0;
            Input1 = ((flag >> 12) & 0x01) != 0;
            AdError = ((flag >> 10) & 0x01) != 0;
            WriteProtect = ((flag >> 9) & 0x01) != 0;
            Overload = ((flag >> 7) & 0x01) != 0;
            Tare = ((flag >> 6) & 0x01) != 0;
            Stable = ((flag >> 5) & 0x01) != 0;
            Zero = ((flag >> 4) & 0x01) != 0;
            High = ((flag >> 3) & 0x01) != 0;
            OK = ((flag >> 2) & 0x01) != 0;
            Low = ((flag >> 1) & 0x01) != 0;
            Lock = ((flag >> 0) & 0x01) != 0;
        }
    }
}
