﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ehmedemo
{
    class Param
    {
        public static readonly string[] PORT_BAUD_ITEM = { "2400", "4800", "9600", "14400", "19200", "28800", "38400", "57600", "115200", "160000", "200000", "250000" };
        public static readonly string[] COMU_PARITY_ITEM = { "无校验", "奇校验", "偶校验", "零校验" };

        public static string Port
        {
            get { return Properties.Settings.Default.Port; }
            set { Properties.Settings.Default.Port = value; Properties.Settings.Default.Save(); }
        }

        public static int Baud
        {
            get { return Properties.Settings.Default.Baud; }
            set { Properties.Settings.Default.Baud = value; Properties.Settings.Default.Save(); }
        }

        public static int Parity
        {
            get { return Properties.Settings.Default.Parity; }
            set { Properties.Settings.Default.Parity = value; Properties.Settings.Default.Save(); }
        }

        public static byte Addr
        {
            get { return Properties.Settings.Default.Addr; }
            set { Properties.Settings.Default.Addr = value; Properties.Settings.Default.Save(); }
        }
    }
}
